
Figure - Bug #118628
【IOVDEV-33331】【内部】【VC1】【0072】【台架】【EE环境】【副屏】【视频播放器】本地视频播放器1
分钟左右的视频拖拽进度条回弹
2023-06-07 20:59 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-07

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0106.C104

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 尝试修改seekto的参数，使得seekTo不是定位到关键帧。

Description

【环境信息】EE环境

【问题出现时间】：2023-06-06 19:34

【开机次数】：第270次

【前提条件】：

1.副屏上电

2.使用副屏录屏功能录制一条1分钟的视频

【问题操作步骤】：

1.打开文件-找到视频进行播放

2.点击或拖拽进度条靠近左侧边缘的位置（如视频所操作）

【实际结果】：进度条回弹到00:00

【期望结果】：进度条移动到拖拽的对应位置并播放对应时间的视频

【备注】：此视频复现为必现，可下载视频进行复现，视频是使用副屏功能录屏录制的，录制短时间内的视频可复现回弹

台架实时Log地址：https://ofs.human-horizons.com/#/download/index/VkT7HcIgdgo%3D

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/31%2F9K2WgNvo%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/OMy19asgIBQ%3D

视频中操作的视频可以下载进行复现：https://ofs.human-horizons.com/#/download/index/2IO5qrqu36c%3D

【影响版本】：副屏：01.00.0106.C104

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-07 21:00 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118628

#2 - 2023-06-08 15:28 - CD APP-王营

- Status changed from New to ASSIGNED

2025-07-04 1/3

https://ofs.human-horizons.com/#/download/index/VkT7HcIgdgo%3D
https://ofs.human-horizons.com/#/download/index/31%2F9K2WgNvo%3D
https://ofs.human-horizons.com/#/download/index/OMy19asgIBQ%3D
https://ofs.human-horizons.com/#/download/index/2IO5qrqu36c%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118628


- Assignee changed from CD APP-王营 to CD APP-王宏

to 王宏

复现此问题，手动拖动进度条到大概前1/4位置，进度条会回到起始位置进行播放，请调查一下为什么在此拖动区间视频会重新播放。

#3 - 2023-06-09 10:12 - CD APP-王宏

- Assignee changed from CD APP-王宏 to Multimedia组-RD3_TSCD 梁卿山

Hi 卿山，

我这边已经检查过onError和onCompletion 均无回调。

麻烦帮忙看一下此视频为什么会在拖动后回到初始位置

#4 - 2023-06-12 15:09 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前调查分析：

seekTo的逻辑是当指定位置不是关键帧时，会定位到距离最近的关键帧。

当前的视频前几分钟内关键帧有限，导致会跳到开头；

下一步：

尝试修改seekto的参数，使得seekTo不是定位到关键帧。

#5 - 2023-06-12 15:26 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前已经通过以下提交修复，本地验证OK；

等待合并。

#6 - 2023-06-12 15:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

206426 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fix videoview seek to errorFix videoview seek to errorTC-RID: 0301-0900116IssueID: TS-R-DF-118628Change-Id:

I7507be2c4521a0ad153411603e239d7b101ba8bc

#7 - 2023-06-12 15:32 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED
- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 尝试修改seekto的参数，使得seekTo不是定位到关键帧。

HI 永红

该问题已经修复，请使用6月12日后的版本验证，谢谢！

#8 - 2023-06-20 15:01 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C105.202306200207已删除录屏功能，验证条件不足

#9 - 2023-06-25 14:34 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#10 - 2023-06-25 14:34 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
